std::_List_node< _Tp >(3cxx)

NAME
std::_List_node< _Tp > - An actual node in the list.

SYNOPSIS

#include <stl_list.h>

Inherits std::__detail::_List_node_base.

  Public Member Functions

void _M_hook (_List_node_base *const __position) noexcept
void _M_reverse () noexcept
void _M_transfer (_List_node_base *const __first, _List_node_base *const __last) noexcept
void _M_unhook () noexcept
_Tp * _M_valptr ()
_Tp const * _M_valptr () const

  Static Public Member Functions

static void swap (_List_node_base &__x, _List_node_base &__y) noexcept

  Public Attributes

_List_node_base * _M_next
_List_node_base * _M_prev
__gnu_cxx::__aligned_membuf< _Tp > _M_storage

Detailed Description

  template<typename _Tp>
struct std::_List_node< _Tp >"An actual node in the list.

Definition at line 166 of file stl_list.h.

Member Function Documentation

  template<typename _Tp > _Tp * std::_List_node< _Tp >::_M_valptr () [inline]

Definition at line 170 of file stl_list.h.

  template<typename _Tp > _Tp const * std::_List_node< _Tp >::_M_valptr () const [inline]

Definition at line 171 of file stl_list.h.

Member Data Documentation

  _List_node_base* std::__detail::_List_node_base::_M_next [inherited]

Definition at line 82 of file stl_list.h.

  _List_node_base* std::__detail::_List_node_base::_M_prev [inherited]

Definition at line 83 of file stl_list.h.

  template<typename _Tp > __gnu_cxx::__aligned_membuf<_Tp> std::_List_node< _Tp >::_M_storage

Definition at line 169 of file stl_list.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.